### Overview
Incorporating introns into cDNA sequences can signficiantly increase gene expression in nematode species [(Crane *et al* 2019](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6591249/), [Han *et al* 2020](https://www.genetics.org/content/216/4/947), [Junio *et al* 2008](https://pubmed.ncbi.nlm.nih.gov/17945217/), [Li *et al* 2011)](https://pubmed.ncbi.nlm.nih.gov/21723330/).  

### Identifying Splice Sites and Inserting Introns  
In Optimize Sequences mode, users may input a desired number of introns, up to a maximum of three unique introns. The Fire lab established three unique introns, spaced equidistantly within a gene, as canon [(Fire Lab Vector Kit 1995)](https://media.addgene.org/cms/files/Vec95.pdf); this configuration is thus set as default, and is recommended.  

Intron sequences and insertion order are either the three canonical Fire lab synthetic introns established by the Fire lab, *P. pacificus* native introns, PATC-rich introns (*smu-2* introns 3-5) that enhance germine expression of transgenes in *C. elegans*, or custom user-provided intron sequences [(Fire Lab Vector Kit 1995](https://media.addgene.org/cms/files/Vec95.pdf), [Han *et al* 2020](https://www.genetics.org/content/216/4/947), [Aljohani *et al* 2020)](https://www.nature.com/articles/s41467-020-19898-0). All built-in introns sequences are bracketed with canonical GT...AG splice recognition sequences [(Shapiro at Senapathy 1987](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC306199/), [Meyer *et al* 1997](https://www.ncbi.nlm.nih.gov/books/NBK20075/), [Wheeler *et al* 2020)](https://journals.plos.org/plosntds/article?id=10.1371/journal.pntd.0008869). Users may either select the desired built-in intron sequence source using the dropdown menu provided, or upload a FASTA file containing up to three custom intron sequences. An example custom intron FASTA file may be downloaded.  

This app first divides the optimized cDNA sequence at 3 predicted intron insertion sites spaced approximately equidistantly. Users may choose to further refine the insertion site locations by identifying the closest conserved invertebrate exon splice sites (‘AG\^G’, ‘AG\^A’) [(Shapiro and Senapathy](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC306199/), [Meyer *et al* 1997)](https://www.ncbi.nlm.nih.gov/books/NBK20075/). For all insertion sites, the '\^' symbol indicates the exact insertion site.  

Once hypothetical intron insertion sites have been identified, the application inserts the user-specified number of introns, using the 5’ insertion site first and continuing in the 3’ direction. In *C. elegans*, the location of the intron site influences the degree of intron-mediated enhancement, such that a single 5′-intron is more effective than a single 3′-intron [(Crane *et al* 2019](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6591249/), [Aljohani *et al* 2020)](https://www.nature.com/articles/s41467-020-19898-0). Therefore when only 1 or 2 introns are desired, 3 possible intron insertion sites are identified and filled as needed, starting from the 5′ site.  
